<?php

require_once '../includes/start.php';
require_once '../includes/function.php';
require_once '../includes/header1.php';
if($game==0 OR $level==0 OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
	switch ($act) {
	default:
	echo "<title>Флот</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><font color="#4EEE94"><b>Ваш флот</b></font> | <a href="?act=autolist"><b>Автополет</b></a></div>';
	echo '<div class="razd"></div>';
	$PAGINGS = mysql_query("SELECT * FROM `army` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

			echo '<center><div class="window">';
			if($row['onpl']==0){
			echo '<img src="../images/army.gif" alt="image" /> Отряд <a href="sp_army.php?a='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).'</a> ';
			if($row['u1']==0 AND $row['u2']==0 AND $row['u3']==0 AND $row['u4']==0 AND $row['u5']==0 AND $row['u6']==0 AND $row['u7']==0 AND $row['u8']==0 AND $row['u9']==0 AND $row['u10']==0 AND $row['u11']==0 AND $row['u12']==0)echo '<a href="?act=del&amp;a='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'"> <img src="../images/icon/abort.png" width="15px" alt="image" /></a>';
			if($row['time']>=$realtime AND $row['ataka']==0)echo '['. intval(($row['time']-$realtime)/60) .' минут]';
			echo '<br/>Расположение: x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']))))))).' y:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']))))))).'';
			}
			if($row['onpl']!=0){
			$s = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['onpl'])))))))."'");
			$p = mysql_fetch_array($s);
			echo '<img src="../images/army.gif" alt="image" /> Отряд <a href="pl_army.php?a='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).'</a> ';
			if($row['u1']==0 AND $row['u2']==0 AND $row['u3']==0 AND $row['u4']==0 AND $row['u5']==0 AND $row['u6']==0 AND $row['u7']==0 AND $row['u8']==0 AND $row['u9']==0 AND $row['u10']==0 AND $row['u11']==0 AND $row['u12']==0)echo '<a href="?act=del&amp;a='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'"> <img src="../images/icon/abort.png" width="15px" alt="image" /></a>';
			if($row['time']>=$realtime AND $row['ataka']==0)echo '['. intval(($row['time']-$realtime)/60) .' минут]';
			echo '<br/>Планета <a href="../game/sector.php?x='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($p['x']))))))).'&amp;y='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($p['y']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($p['name']))))))).'</a> ';
			if($use_id!=$p['uid'] AND ($fr_id==$p['fr_id'] AND $fr_id==0 AND $p['fr_id']==0) OR ($fr_id!=$p['fr_id'] AND $fr_id!=0 AND $p['fr_id']==0) OR ($fr_id!=$p['fr_id'] AND $fr_id==0 AND $p['fr_id']!=0) OR ($fr_id!=$p['fr_id'] AND $fr_id!=0 AND $p['fr_id']!=0))echo '[<span class="red">противник</span>]';
			if($p['uid']==$use_id)echo '[<span class="green">ваша</span>]';
			if($p['fr_id']==$fr_id AND $fr_id!=0 AND $p['uid']!=$use_id)echo '[<span class="blue">союзник</span>]';
			}
			echo '</div></center>';
	}

	}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="?act=new"><b>Создать отряд</b</a></div>';
	break;
	case 'new':
	echo "<title>Новый отряд</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="army.php"><b>Флот</b></a> | <font color="#4EEE94"><b>Новый отряд</b></font></div>';
	echo '<div class="razd"></div>';
	if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo 'Название отряда:<br /><input type="text" value="" name="text" /><br/>Планета:<br /><select name="pl">';
	$PAGINGS = mysql_query("SELECT * FROM `planet` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{while($row = mysql_fetch_array($PAGINGS))
		{echo '<option value="'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).' [x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']))))))).' y:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']))))))).']</option>';}}

			echo '</select> <input type="submit" name="submit" value="Создать"/></form>';
			echo '</div></center>';
	     	}	
	else
	{
			$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($_POST['text']))))))));
			$pl = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['pl'])))))));
			$acount = mysql_result(mysql_query("SELECT COUNT(*) FROM `army` WHERE `uid`='".$use_id."' AND `planet`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($pl)))))))."';"), 0);

			$q1 = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($pl)))))))."'");
			$f1 = mysql_fetch_array($q1);
			
			$amax = mysql_result(mysql_query("SELECT MAX(id) FROM `army`;"), 0);
			$amax=$amax+1;
$error = false;
if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Название отряда</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 20 || mb_strlen($_POST['text']) < 2 ||mb_strlen($_POST['text']) > 20))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Название отряда</b></ins></font>  минимум <font color="#4EEE94">[2]</font> символов или букв<br/>';
  
}

if(!empty($_POST['text']) && (preg_match('/[^a-zA-Z0-9]+/s',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Название отряда</b></font> содержит запрещенные символы<br/>';
    
}

if ($acount>=4)

{

	$error = $error . 'Ваша планета <b>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($f1['name'])))))))).'</b> может обслуживать не более 4 отрядов<br/>';	
}

if ($f1['uid']!=$use_id)

{

	$error = $error . 'Это не ваша планета<br/>';
}
			
if (empty($error))

		{
			$req1 = mysql_query("select * from `army` where `name`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($text)))))))) . "';");
        	if (mysql_num_rows($req1) != 0)
			{
				$error = 'Отряд с таким названием уже есть!<br/>Выберите другое<br/>';
			}
		}
	  
	  		if (empty($error))
		{
		
		mysql_query("INSERT INTO `army` SET
						`id`='".$amax."',
						`uid`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "',
						`planet`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($f1['id'])))))))) . "',
						`name_planet`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($f1['name'])))))))) . "',
						`x`='" .check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['x']))))))) . "',
						`y`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['y']))))))) . "',
						`onpl`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id'])))))))."',
						`rasa`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rasa)))))))."',
						`fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_id)))))))."',
						`xpl`= \"6\",
						`ypl`= \"6\",
						`name`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($text)))))))) . "',
						`time`='" . time() . "';");
		mysql_query("INSERT INTO `sector_loc` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `aid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($amax)))))))."', `loc`=1, `type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rasa)))))))."', `planet`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id'])))))))."', `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_id)))))))."', `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['y'])))))))."', `x`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['x'])))))))."';");
        			echo '<div class="blok"><font color="#4EEE94"><b>Отряд ['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text))))))).']</b></font> на планете <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['name']))))))).']</b></font> успешно создан!</div>';
	          	
		}
		else
		{
			echo '<div class="blok3"><b>' . $error. '</b></div>';
	          				}
							
							}
		echo '<div class="razd"></div>';
		echo '<div class="blok"><a href="army.php"><b>Назад</b></a></div>';	

		break;
		case 'del':
		echo "<title>Удаление отряда</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	 	echo '<div class="razd"></div>';
		echo '<div class="top-nav1"><a href="army.php"><b>Ваш флот</b></a> | <font color="#4EEE94"><b>Роспуск отряда</b></font></div>';
		echo '<div class="razd"></div>';
		$a=$_GET['a'];
		$q = mysql_query("SELECT * FROM `army` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($a)))))))."'");
		$f = mysql_fetch_array($q);
		$units=$f['u1']+$f['u2']+$f['u3']+$f['u4']+$f['u5']+$f['u6']+$f['u7']+$f['u8']+$f['u9']+$f['u10']+$f['u11']+$f['u12'];
		if($units==0 AND $f['uid']==$use_id){
			$wb=$_GET['o'];
		if($wb!=1){
		                    echo '<center><div class="window">';
							echo 'Вы уверенны что хотите распустить отряд <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($f['name'])))))))).']</b></font>?<br/>';
							echo '<a href="?act=del&amp;a='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="army.php"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
							
						mysql_query("DELETE FROM `army` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."';");
						mysql_query("DELETE FROM `sector_loc` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `aid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."' AND `loc`=1;");

							header("Location: army.php");
							}
		
		}
		break;
		case 'autolist':
		echo "<title>Автополет</title>";
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
		echo '<div class="razd"></div>';
		echo '<div class="blok"><a href="army.php"><b>Ваш флот</b></a> | <font color="#4EEE94"><b>Автополет</b></font></div>';
		echo '<div class="razd"></div>';
		echo '<div class="blok"><a href="?act=autonew"><b>Новая задача</b></a></div>';
		
		$PAGINGS = mysql_query("SELECT * FROM `autopilot` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

			echo '<div class="conts">';
			echo '<img src="../images/army.gif" alt="image" /> Отряд <a href="sp_army.php?a='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['aid']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).'</a> [<a href="?act=autooff&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'">x</a>]<br/>';
			echo '<img src="../images/time.gif" alt="image" /> Время прибытия: '.dates($row['time']).'';
			echo '<br/><a href="../game/sector.php?x='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']))))))).'&amp;y='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']))))))).'">Координаты:</a> x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']))))))).' y:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']))))))).'';
			echo '</div>';
	}

	}
		break;
		case 'autonew':
		echo "<title>Автополет</title>";
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
		echo '<div class="razd"></div>';
		echo '<div class="blok"><a href="army.php"><b>Ваш флот</b></a> | <font color="#4EEE94"><b>Автополет</b></font></div>';
		echo '<div class="razd"></div>';
		$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `army` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `onpl`=0 AND `autopilot`=0;"), 0);

		if($count==0)

			{
				echo '<center><div class="window">';
				echo 'У вас нет отрядов способных совершить автоматический полет. Совершать его могут только те отряды которые находятся в космическом пространстве вне поверхности планет<br/>';
				echo '</div></center>';

			}


		else{


		if(!$_POST)
	{
			
			echo '<form action="" method="POST">';
			echo 'Конечные координаты:<br/>x <input type="text" value="" size="2" name="x" />y <input type="text" value="" size="2" name="y" />Отряд:<br /><select name="potr">';
			
			
	$PAGINGS = mysql_query("SELECT * FROM `army` WHERE `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."' AND `onpl`=0 AND `autopilot`=0 ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{while($row = mysql_fetch_array($PAGINGS))
		{echo '<option value="'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).' [x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['x']))))))).' y:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['y']))))))).']</option>';}}

			echo '</select> <input type="submit" name="submit" value="Запуск"/></form>';
	     	}
			else
	{
			$x12 = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['x'])))))));
			$y12 = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['y'])))))));
			$potr = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['potr'])))))));
			$q1 = mysql_query("SELECT * FROM `army` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($potr)))))))."'");
			$f1 = mysql_fetch_array($q1);
			if($f1['x']>$x12)$otrx=$f1['x']-$x12;
			if($f1['x']<$x12)$otrx=$x12-$f1['x'];
			if($f1['x']==$x12)$otrx=0;
			if($f1['y']>$y12)$otry=$f1['y']-$y12;
			if($f1['y']<$y12)$otry=$y12-$f1['y'];
			if($f1['y']==$y12)$otry=0;
			$sumotr=$otrx+$otry;
			if($f1['time']<=$realtime)$timeotr=$realtime+($sumotr*180);
			if($f1['time']>$realtime)$timeotr=$f1['time']+($sumotr*180);
			$error = false;

				if (empty($x12))
			$error = $error . 'Не введены координаты x<br/>';
				if (empty($y12))
			$error = $error . 'Не введены координаты y<br/>';
				elseif ($x12>=60)
			$error = $error . 'Координата x не может превышать 60<br />';
			elseif ($x12<=0 OR $y12<=0)
			$error = $error . 'Координаты не могут быть меньше или равны нулю<br />';
				elseif ($f1['autopilot']==1)
			$error = $error . 'Отряд уже находится в режиме автополёта<br />';
				elseif ($f1['onpl']!=0)
			$error = $error . 'Отряд находится на планете и не может автоматически перемещаться<br />';
				elseif ($f1['x']==$x12 AND $f1['y']==$y12)
			$error = $error . 'Отряд уже находится на заданных координатах<br />';
				elseif ($sumotr>20)
			$error = $error . 'Количество автоматических переходов отряда не должно превышать 20('.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($sumotr))))))).') ед. <br />';
	  		if (empty($error))
		{
		
		mysql_query("UPDATE `army` SET `autoloc`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($sumotr)))))))."', `autopilot`=1 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id'])))))))."';");
		mysql_query("INSERT INTO `autopilot` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `aid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id'])))))))."', `name`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['name'])))))))."', `x`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($x12)))))))."', `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($y12)))))))."', `time`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($timeotr)))))))."';");
			echo '<img src="../images/army.gif" alt="image" /> Отряд <a href="sp_army.php?a='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['name']))))))).'</a> успешно отправлен в автополет к координатам x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($x12))))))).' y:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($y12))))))).'. Он совершит '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($sumotr))))))).' переходов и достигнет точки назначения приблизительно '.dates($timeotr).'<br/>';
	          	
		}
		else
		{
			echo '<div class="blok3"><b>' . $error. '</b></div>';
	          				}}}
		echo '<div class="razd"></div>';
		echo '<div class="blok"><a href="?act=autolist"><b>Назад</b></a></div>';
		break;
		case 'autooff':
		echo '<div class="top"><a href="army.php">Ваш флот</a> | Автополет</div>';
		$au=$_GET['id'];
		$wb=$_GET['o'];
		$q1 = mysql_query("SELECT * FROM `autopilot` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($au)))))))."'");
		$f1 = mysql_fetch_array($q1);
				if($wb!=1){
							echo '<center><div class="window"><img src="../images/army.gif" alt="image" /> Вы уверенны что хотите остановить автополет отряда <a href="sp_army.php?a='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['name']))))))).'</a>?<br/>';

							echo '<a href="?act=autooff&amp;o=1&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id']))))))).'"><font color="#4EEE94"><b>Да</b></font></a> или <a href="?act=autolist"><font color="#4EEE94"><b>Отмена</b></font></a></div></center>';
							}else{
							mysql_query("UPDATE `army` SET `autopilot`=0 WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['aid'])))))))."';");
							mysql_query("DELETE FROM `autopilot` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id'])))))))."';");
							header("Location: ?act=autolist");
							
}
	}
}
echo '<div class="razd"></div>';
echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
echo '<div class="razd"></div>';
require_once '../includes/footer1.php';
?>
